Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.delegate
Class HttpQueryResult

    java.lang.Object
      org.modeshape.jdbc.delegate.HttpQueryResult

All Implemented Interfaces:
  QueryResult

    public final class HttpQueryResult

extends Object
implements QueryResult

A simple implementation of the `QueryResult` interface used to iterate over list of `rows`

Field Summary
`protected Map<String,String>` | `columns` [columnName, columnType] mappings
`protected List<org.modeshape.jdbc.delegate.HttpQueryResult.HttpRow>` | `rows`

Method Summary
`String[]` | `getColumnNames()`
`String[]` | `getColumnTypes()` Returns an array of the `PropertyType` name for each of the columns in this result.
`NodeIterator` | `getNodes()`
`RowIterator` | `getRows()`
`String[]` | `getSelectorNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rows

    protected final List<org.modeshape.jdbc.delegate.HttpQueryResult.HttpRow> rows

### columns

    protected final Map<String,String> columns

  [columnName, columnType] mappings

Method Detail

### getColumnNames

    public String[] getColumnNames()

  Specified by:
    `getColumnNames` in interface `QueryResult`

### getRows

    public RowIterator getRows()

  Specified by:
    `getRows` in interface `QueryResult`

### getNodes

    public NodeIterator getNodes()

  Specified by:
    `getNodes` in interface `QueryResult`

### getSelectorNames

    public String[] getSelectorNames()

  Specified by:
    `getSelectorNames` in interface `QueryResult`

### getColumnTypes

    public String[] getColumnTypes()

  Description copied from interface: `QueryResult`
  Returns an array of the `PropertyType` name for each of the columns in this result.

  Returns:
    the array of property type names; never null, never has null elements, and the size always matches `QueryResult.getColumnNames()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.